// 基本信息
const topFormRow = [
  {
    elCol: [
      {
        label: "单据编码",
        prop: "billCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "申请支持时间",
        prop: "applySupportTime",
        tag: "elDatePicker",
      },
      {
        label: "支持类型",
        prop: "supportTypeID",
        tag: "elSelect",
        options: [],
      },
      {
        label: "支持方式",
        prop: "supportWayID",
        tag: "elSelect",
        options: [],
      },
    ],
  },
  {
    elCol: [
      {
        label: "申请部门",
        prop: "applyDepName",
        tag: "elDialog",
        placeholder: "选择申请部门",
      },
      {
        label: "申请人",
        prop: "applyPersonName",
        tag: "elDialog",
        placeholder: "选择申请人",
      },
      {
        label: "客户",
        prop: "supportCustomerName",
        tag: "elDialog",
        placeholder: "选择客户",
      },
    ],
  },
  {
    elCol: [
      {
        label: "目前项目进展",
        prop: "projectProgress",
        tag: "elInput",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户背景",
        prop: "customerBackground",
        tag: "elInput",
        span: 24,
        type: "textarea",
        maxlength: '110'
      }
    ]
  },
  {
    elCol: [
      {
        label: "支持内容",
        prop: "supportContent",
        tag: "elInput",
        span: 24,
        type: "textarea",
        maxlength: '110'
      }
    ]
  },
  {
    elCol: [
      {
        label: "实际支持时间",
        prop: "realSupportTime",
        tag: "elDatePicker",
      },
      {
        label: "实际支持情况",
        prop: "realSupportSituation",
        tag: "elInput",
        span: 12
      },
      {
        label: "支持发生费用",
        prop: "supportMoney",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
      },
    ],
  },
  {
    elCol: [
      {
        label: "后续行动建议",
        prop: "followUpActionSuggestion",
        tag: "elInput",
        span: 24
      },
    ],
  },
  {
    elCol: [
      {
        label: "最终成交情况",
        prop: "finalTransactionSituation",
        tag: "elInput",
      },
      {
        label: "最终成交金额",
        prop: "finalTransactionMoney",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
      },
      {
        label: "实际效果反馈",
        prop: "realEffectFeedback",
        tag: "elInput",
        span: 12
      },
    ],
  },
];
// 项目表头配置
const xmTableColumn = [
  {
    label: "项目编号",
    prop: "billCode",
    tooltip: true,
    width: "100",
  },
  {
    label: "项目名称",
    prop: "projectName",
    tooltip: true,
    width: "150",
  },
  {
    label: "客户编码",
    prop: "cusCode",
    tooltip: true,
    width: "120",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: "150",
  },
  {
    label: "所属部门",
    prop: "o_OrganName",
    tooltip: true,
  },
  {
    label: "项目类型",
    prop: "email",
    tooltip: true,
  },
  {
    label: "项目阶段",
    prop: "phase",
    tooltip: true,
  },
  {
    label: "项目负责人",
    prop: "p_PersonName",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划开始时间",
    prop: "beginDate",
    tooltip: true,
    width: "120",
  },
  {
    label: "计划结束时间",
    prop: "endDate",
    tooltip: true,
    width: "120",
  },
];
// 表单校验
const formVerification = {
  applySupportTime: [
    {
      required: true,
      message: "请选择申请支持时间",
      trigger: "blur",
    },
  ],
  supportTypeID: [
    {
      required: true,
      message: "请选择支持类型",
      trigger: "change, blur",
    },
  ],
  supportWayID: [
    {
      required: true,
      message: "请选择支持方式",
      trigger: "change, blur",
    },
  ],
  applyDepName: [
    {
      required: true,
      message: "请选择申请部门",
      trigger: "blur",
    },
  ],
  applyPersonName: [
    {
      required: true,
      message: "请选择申请人",
      trigger: "blur",
    },
  ],
  supportCustomerName: [
    {
      required: true,
      message: "请选择客户",
      trigger: "blur",
    },
  ],
  projectProgress: [
    {
      required: true,
      message: "请输入目前项目进展",
      trigger: "blur",
    },
  ],
  customerBackground: [
    {
      required: true,
      message: "请输入客户背景",
      trigger: "blur",
    },
  ],
  supportContent: [
    {
      required: true,
      message: "请输入支持内容",
      trigger: "blur",
    },
  ],
};
// 客商表头配置
const companyTableColumn = [
  {
    label: "客户编号",
    prop: "cusCode",
    tooltip: true,
    width: "100",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: "150",
  },
  {
    label: "客户简称",
    prop: "cusShortName",
    tooltip: true,
    width: "120",
  },
  {
    label: "客户分类",
    prop: "cusClassifyName",
    tooltip: true,
    width: "150",
  },
  {
    label: "分管部门",
    prop: "orgainName",
    tooltip: true,
  },
  {
    label: "法人",
    prop: "legalPerson",
    tooltip: true,
  },
  {
    label: "税号",
    prop: "taxNumber",
    tooltip: true,
  },
  {
    label: "电话",
    prop: "telphone",
    tooltip: true,
    width: "110",
  },
  {
    label: "地址",
    prop: "address",
    tooltip: true,
    width: "110",
  },
];
export default {
  topFormRow,
  xmTableColumn,
  formVerification,
  companyTableColumn
};
